summaryrefslogtreecommitdiffstats
path: root/x11vnc/misc/turbovnc/apply_turbovnc
diff options
context:
space:
mode:
authorrunge <runge>2009-02-28 16:39:25 +0000
committerrunge <runge>2009-02-28 16:39:25 +0000
commit2742c9579f465399797992a0e031d941ed0ae18f (patch)
tree2632648774b57a2305778ffa8c0ba3ea8d009431 /x11vnc/misc/turbovnc/apply_turbovnc
parent453166ecdc6cf679df953f59bd34d873d39427ee (diff)
downloadlibtdevnc-2742c9579f465399797992a0e031d941ed0ae18f.tar.gz
libtdevnc-2742c9579f465399797992a0e031d941ed0ae18f.zip
x11vnc: add kludge to experiment with turbovnc.
Diffstat (limited to 'x11vnc/misc/turbovnc/apply_turbovnc')
-rwxr-xr-xx11vnc/misc/turbovnc/apply_turbovnc33
1 files changed, 33 insertions, 0 deletions
diff --git a/x11vnc/misc/turbovnc/apply_turbovnc b/x11vnc/misc/turbovnc/apply_turbovnc
new file mode 100755
index 0000000..0a8ca7a
--- /dev/null
+++ b/x11vnc/misc/turbovnc/apply_turbovnc
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+ldir="../../../libvncserver"
+
+fail=""
+if [ ! -f "./tight.c" ]; then
+ fail=1
+fi
+if [ ! -f "./turbojpeg.h" ]; then
+ fail=1
+fi
+if [ ! -f "./convert" ]; then
+ fail=1
+fi
+if [ ! -f "$ldir/tight.c" ]; then
+ ls -l "$ldir/tight.c"
+ fail=1
+fi
+if [ "X$fail" = "X1" ]; then
+ echo "Must be run from inside the directory containing 'apply_turbovnc'"
+ exit 1
+fi
+
+if [ -f "$ldir/tight.c.ORIG" ]; then
+ set -xv
+else
+ set -xv
+ cp -p "$ldir/tight.c" "$ldir/tight.c.ORIG"
+fi
+
+perl ./convert ./tight.c > "$ldir/tight.c"
+cp -p ./turbojpeg.h "$ldir"
+ls -l $ldir/tight.c* $ldir/turbojpeg.h